package com.logicbig.example;

import com.fasterxml.jackson.databind.MapperFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import java.io.IOException;

public class MainSummaryViewDeserialization {
    public static void main(String[] args) throws IOException {
        String jsonString = "{\"name\":\"Emily\",\"address\":\"642 Buckhannan Avenue Stratford\","
                + "\"phone\":\"111-111-111\",\"cellPhone\":\"222-222-222\","
                + "\"emailAddress\":\"emily@example.com\",\"customerSince\":\"2010/08/23\"}";
        System.out.println("-- before deserialization --");
        System.out.println(jsonString);
        ObjectMapper om = new ObjectMapper();
        om.disable(MapperFeature.DEFAULT_VIEW_INCLUSION);
        Customer customer = om.readerWithView(Views.SummaryView.class)
                     .forType(Customer.class)
                     .readValue(jsonString);
        System.out.println("-- after deserialization --");
        System.out.println(customer);
    }
}